PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Initialization Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » SAR ADC (Successive-Approximation Register Analog to Digital Converter) » Functions

## General Description

This set of functions is used to configure the ADC.

## Functions
cy_en_autanalog_status_t | Cy_AutAnalog_SAR_LoadConfig (uint8_t sarIdx, const cy_stc_autanalog_sar_t *sarCfg)
| Configures the ADC per provided settings. More...
cy_en_autanalog_status_t | Cy_AutAnalog_SAR_LoadStaticConfig (uint8_t sarIdx, const cy_stc_autanalog_sar_sta_t *sarStaCfg)
| Configures the ADC per settings in the static configuration structure. More...
cy_en_autanalog_status_t | Cy_AutAnalog_SAR_LoadHSseqTable (uint8_t sarIdx, uint8_t seqTabNum, const cy_stc_autanalog_sar_seq_tab_hs_t *seqTabArr)
| Loads the ADC HS Sequencer Table configurations. More...
cy_en_autanalog_status_t | Cy_AutAnalog_SAR_LoadLPseqTable (uint8_t sarIdx, uint8_t seqTabNum, const cy_stc_autanalog_sar_seq_tab_lp_t *seqTabArr)
| Loads the ADC LP Sequencer Table configurations. More...
cy_en_autanalog_status_t | Cy_AutAnalog_SAR_LoadFIRconfig (uint8_t sarIdx, uint8_t firIdx, const cy_stc_autanalog_sar_fir_cfg_t *firCfg)
| Loads the ADC FIR filter configurations. More...

## Function Documentation

## ◆ Cy_AutAnalog_SAR_LoadConfig()

cy_en_autanalog_status_t Cy_AutAnalog_SAR_LoadConfig | ( | uint8_t | sarIdx,
|  | const cy_stc_autanalog_sar_t * | sarCfg
| ) |  |

Configures the ADC per provided settings.

Note
  Changing Vref from external to internal (or vice versa) requires a new initialization delay for the ADC subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  sarCfg | The pointer to a structure containing static data, Sequencer Table, FIR and FIFO configuration structures for the entire ADC subsystem within the Autonomous Analog.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_SAR_LoadStaticConfig()

cy_en_autanalog_status_t Cy_AutAnalog_SAR_LoadStaticConfig | ( | uint8_t | sarIdx,
|  | const cy_stc_autanalog_sar_sta_t * | sarStaCfg
| ) |  |

Configures the ADC per settings in the static configuration structure.

Note
  Changing Vref from external to internal (or vice versa) requires a new initialization delay for the ADC subsystem. Use a global API Cy_AutAnalog_LoadConfig instead of the local API.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  sarStaCfg | The pointer to a structure containing static configuration data for the ADC see cy_stc_autanalog_sar_sta_t.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_SAR_LoadHSseqTable()

cy_en_autanalog_status_t Cy_AutAnalog_SAR_LoadHSseqTable | ( | uint8_t | sarIdx,
|  | uint8_t | seqTabNum,
|  | const cy_stc_autanalog_sar_seq_tab_hs_t * | seqTabArr
| ) |  |

Loads the ADC HS Sequencer Table configurations.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  seqTabNum | The number of the ADC HS Sequencer Table configuration structures in the array.
  seqTabArr | The pointer to the array of the ADC HS Sequencer Table configuration structures, see cy_stc_autanalog_sar_seq_tab_hs_t.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_SAR_LoadLPseqTable()

cy_en_autanalog_status_t Cy_AutAnalog_SAR_LoadLPseqTable | ( | uint8_t | sarIdx,
|  | uint8_t | seqTabNum,
|  | const cy_stc_autanalog_sar_seq_tab_lp_t * | seqTabArr
| ) |  |

Loads the ADC LP Sequencer Table configurations.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  seqTabNum | The number of the ADC LP Sequencer Table configuration structures in the array.
  seqTabArr | The pointer to the array of the ADC LP Sequencer Table configuration structures, see cy_stc_autanalog_sar_seq_tab_lp_t.

Returns
  Status of initialization, cy_en_autanalog_status_t.

## ◆ Cy_AutAnalog_SAR_LoadFIRconfig()

cy_en_autanalog_status_t Cy_AutAnalog_SAR_LoadFIRconfig | ( | uint8_t | sarIdx,
|  | uint8_t | firIdx,
|  | const cy_stc_autanalog_sar_fir_cfg_t * | firCfg
| ) |  |

Loads the ADC FIR filter configurations.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  firIdx | The index of the FIR filter within the ADC, see cy_stc_autanalog_sar_t::firNum.
  firCfg | The pointer to the array of the FIR filter configuration structures, see cy_stc_autanalog_sar_t::firCfg.

Returns
  Status of initialization, cy_en_autanalog_status_t.